%define        libname  lib%{name}

Name:          pstoedit
Version:       4.02
Release:       1mamba
Summary:       Translates PostScript and PDF graphics into other vector formats
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.pstoedit.net/pstoedit
Source:        http://downloads.sourceforge.net/sourceforge/pstoedit/pstoedit-%{version}.tar.gz
Patch0:        %{name}-3.45-gcc4_no_pedantic.patch
Patch1:        %{name}-3.45-gcc43.patch
Patch2:        %{name}-3.45-drvswf.patch
Patch3:        %{name}-3.45-gcc44.patch
Patch4:        pstoedit-3.78-gcc-12.0.2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libEMF-devel
BuildRequires: libgcc
BuildRequires: libgd-devel
BuildRequires: libming-devel
BuildRequires: libplot-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: libzip-devel
## AUTOBUILDREQ-END
BuildRequires: libMagick-devel >= 6.9.1.4-1mamba
BuildRequires: libbzip2-devel
BuildRequires: liblcms-devel
BuildRequires: libtiff-devel
Requires:      %{libname} >= %{?epoch:%epoch:}%{version}-%{release}
Requires:      ghostscript >= 7.07.1

%description
PStoEdit translates PostScript and PDF graphics into other vector formats.

%package -n %{libname}
Summary:       Libraries for application which use %{name}
Group:         System/Libraries

%description -n %{libname}
PStoEdit translates PostScript and PDF graphics into other vector formats.
This package contains the shared libraries provided with %{name}.

%package -n %{libname}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
PStoEdit translates PostScript and PDF graphics into other vector formats.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
#%patch 4 -p1

%build
%configure \
   --with-libemf-include=%{_includedir}/libEMF

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -D doc/%{name}.1 \
   %{buildroot}%{_mandir}/man1/%{name}.1

for f in %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/%{name}/*.la; do
   sed -i "s:%{buildroot}::g" $f
done

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpstoedit.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so*
%doc copying

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/libpstoedit.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/%{name}.m4
%dir %{_docdir}/pstoedit
%{_docdir}/pstoedit/*
%doc examples/*.ps

%changelog
* Sat Nov 30 2024 Automatic Build System <autodist@openmamba.org> 4.02-1mamba
- automatic version update by autodist

* Fri Mar 29 2024 Automatic Build System <autodist@openmamba.org> 4.01-1mamba
- automatic version update by autodist

* Thu Jul 27 2023 Automatic Build System <autodist@mambasoft.it> 4.00-1mamba
- automatic version update by autodist

* Sun Dec 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.78-3mamba
- rebuilt without .la files and with specfile cleanups

* Tue Jan 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.78-2mamba
- rebuilt with debug package and specfile fixes

* Wed Nov 24 2021 Automatic Build System <autodist@mambasoft.it> 3.78-1mamba
- automatic version update by autodist

* Sat Sep 04 2021 Automatic Build System <autodist@mambasoft.it> 3.77-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Automatic Build System <autodist@mambasoft.it> 3.75-1mamba
- automatic version update by autodist

* Fri Jun 07 2019 Automatic Build System <autodist@mambasoft.it> 3.74-1mamba
- automatic version update by autodist

* Sat Jun 23 2018 Automatic Build System <autodist@mambasoft.it> 3.73-1mamba
- automatic version update by autodist

* Thu Apr 26 2018 Automatic Build System <autodist@mambasoft.it> 3.71-1mamba
- automatic version update by autodist

* Thu Jun 11 2015 Automatic Build System <autodist@mambasoft.it> 3.70-3mamba
- rebuilt by autoport with build requirements: libMagick-devel>=6.9.1.4-1mamba

* Fri Jan 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.70-2mamba
- rebuilt by autoport with build requirements: libMagick-devel>=6.9.0.4-1mamba

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 3.70-1mamba
- automatic update by autodist

* Mon Mar 03 2014 Automatic Build System <autodist@mambasoft.it> 3.62-3mamba
- rebuilt with ImageMagick 6.8.8.7

* Tue Aug 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.62-2mamba
- libpng 1.6 mass rebuild

* Tue Apr 30 2013 Automatic Build System <autodist@mambasoft.it> 3.62-1mamba
- automatic version update by autodist

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 3.61-1mamba
- automatic version update by autodist

* Sun Aug 28 2011 Automatic Build System <autodist@mambasoft.it> 3.60-1mamba
- automatic version update by autodist

* Fri Jan 22 2010 Automatic Build System <autodist@mambasoft.it> 3.50-6mamba
- automatic rebuild by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 3.50-5mamba
- automatic rebuild by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 3.50-4mamba
- automatic rebuild by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 3.50-3mamba
- automatic rebuild by autodist

* Thu Jan 21 2010 Automatic Build System <autodist@mambasoft.it> 3.50-2mamba
- automatic rebuild by autodist

* Wed Jan 20 2010 Automatic Build System <autodist@mambasoft.it> 3.50-1mamba
- update to 3.50

* Mon Jun 01 2009 Automatic Build System <autodist@mambasoft.it> 3.45-4mamba
- automatic rebuild by autodist

* Wed Feb 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.45-3mamba
- automatic rebuild by autodist

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.45-2mamba
- automatic rebuild by autodist

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.45-1mamba
- update to 3.45

* Tue Oct 31 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 3.44-1qilnx
- update to version 3.44 by autospec

* Mon Jan 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.42-1qilnx
- update to version 3.42 by autospec

* Thu Jul 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.40-1qilnx
- package created by autospec
